------------------------------------------------------------------------------
--                                                                          --
--                  GNAT RUN-TIME LIBRARY (GNARL) COMPONENTS                --
--                                                                          --
--                   A D A . I N T E R R U P T S . N A M E S                --
--                                                                          --
--                                  S p e c                                 --
--                                                                          --
--          Copyright (C) 2012-2016, Free Software Foundation, Inc.         --
--                                                                          --
-- GNAT is free software;  you can  redistribute it  and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 3,  or (at your option) any later ver- --
-- sion.  GNAT is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.                                     --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
--                                                                          --
-- You should have received a copy of the GNU General Public License and    --
-- a copy of the GCC Runtime Library Exception along with this program;     --
-- see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see    --
-- <http://www.gnu.org/licenses/>.                                          --
--                                                                          --
-- GNARL was developed by the GNARL team at Florida State University.       --
-- Extensive contributions were provided by Ada Core Technologies, Inc.     --
--                                                                          --
------------------------------------------------------------------------------

--  This is the version for p5566 target of this package

pragma Restrictions (no_elaboration_code);

with System;
package Ada.Interrupts.Names is

   --  All identifiers in this unit are implementation defined

   pragma Implementation_Defined;

   --  Names come from the Source column of Table 10-9 of MPC5566RM

   INTC_SSCIR0 : constant Interrupt_ID := 0;
   INTC_SSCIR1 : constant Interrupt_ID := 1;
   INTC_SSCIR2 : constant Interrupt_ID := 2;
   INTC_SSCIR3 : constant Interrupt_ID := 3;
   INTC_SSCIR4 : constant Interrupt_ID := 4;
   INTC_SSCIR5 : constant Interrupt_ID := 5;
   INTC_SSCIR6 : constant Interrupt_ID := 6;
   INTC_SSCIR7 : constant Interrupt_ID := 7;

end Ada.Interrupts.Names;
